package com.sun.corba.se.pept.protocol;

import com.sun.corba.se.pept.encoding.OutputObject;
import com.sun.corba.se.pept.encoding.InputObject;
import com.sun.corba.se.pept.transport.Connection;
import com.sun.corba.se.pept.transport.ContactInfo;
import com.sun.corba.se.pept.broker.Broker;

public interface MessageMediator
{
    public abstract Broker getBroker();
    
    public abstract ContactInfo getContactInfo();
    
    public abstract Connection getConnection();
    
    public abstract void initializeMessage();
    
    public abstract void finishSendingRequest();
    
    @Deprecated
    public abstract InputObject waitForResponse();
    
    public abstract void setOutputObject(OutputObject p0);
    
    public abstract OutputObject getOutputObject();
    
    public abstract void setInputObject(InputObject p0);
    
    public abstract InputObject getInputObject();
}
